Skip to main content
Accounts

Sync financial account data

Initiates a sync of the account's data from the provider. Syncing is processed asynchronously. Manual syncs are rate limited; a 429 response indicates the requested data was synced recently.

POST
/finance/accounts/{accountId}/sync
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

accountIdintegerrequired

The financial account ID

Body

application/json
from_datestring | null

The date from which to sync data. If not specified, the from_date will be set to the last sync date, or sync start date if no sync has been performed yet.

typeenum<string> | null

The type of data to sync. If not specified, all data will be synced.

Available options: ALL, TRANSACTIONS, BALANCES, DETAILS

Response

application/json